Announcement Announcement Module
Collapse
No announcement yet.
jdk1.7 and faceted projects Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • jdk1.7 and faceted projects

    What's the solution for faceted projects when using jdk1.7 in STS 2.8? What are the legal values? How do you enter them? The choice "1.7" seem unavailable in the preference pane.

    Currently I use jdk1.6 with 1.7 as execution environment, which is OK. But considering jdk1.7 support in 2.8 I'm expecting it to be available as an option also with facets? Are my expectations faulty?

  • #2
    Hi!

    I think you should be able to configure the project to be jdk1.7 compatible (via the Java Compiler preference page) as well as set the Java facet definition to 1.7 (at least I can see that value for a sample project I created). So can you give me a bit more details abot what exactly is not working and/or maybe attach a sample project here?

    HTH,
    Martin

    Comment


    • #3
      Well, I can't because somehow I fixed it by cleaning, refreshing and hand editing the project facets file.
      But in the end I went back to jdk 1.5 anyway.

      Comment

      Working...
      X